Package groovy.swing.impl

# Class ClosureRenderer

java.lang.Object
groovy.swing.impl.ClosureRenderer

All Implemented Interfaces:
  `ListCellRenderer`, `TableCellRenderer`, `TreeCellRenderer`

public class ClosureRenderer extends Object implements ListCellRenderer, TableCellRenderer, TreeCellRenderer

Author:
  Danno.Ferrin

## Constructor Summary

Constructors
Constructor
Description
`ClosureRenderer()`
`ClosureRenderer(Closure c)`

## Method Summary

Modifier and Type
Method
Description
`List`
`getChildren()`
`int`
`getColumn()`
`JList`
`getList()`
`Component`
`getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)`
`int`
`getRow()`
`JTable`
`getTable()`
`Component`
`getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`
`JTree`
`getTree()`
`Component`
`getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)`
`Closure`
`getUpdate()`
`Object`
`getValue()`
`boolean`
`isDefaultRenderer()`
`boolean`
`isExpanded()`
`boolean`
`isFocused()`
`boolean`
`isLeaf()`
`boolean`
`isSelected()`
`boolean`
`isTableHeader()`
`void`
`setTableHeader(boolean tableHeader)`
`void`
`setUpdate(Closure update)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClosureRenderer

public ClosureRenderer()

### ClosureRenderer

public ClosureRenderer(Closure c)

## Method Details

### getListCellRendererComponent

public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)

Specified by:
  `getListCellRendererComponent` in interface `ListCellRenderer`

### getTableCellRendererComponent

public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)

Specified by:
  `getTableCellRendererComponent` in interface `TableCellRenderer`

### getTreeCellRendererComponent

public Component getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)

Specified by:
  `getTreeCellRendererComponent` in interface `TreeCellRenderer`

### getUpdate

public Closure getUpdate()

### setUpdate

public void setUpdate(Closure update)

### setTableHeader

public void setTableHeader(boolean tableHeader)

### isTableHeader

public boolean isTableHeader()

### getChildren

public List getChildren()

### getList

public JList getList()

### getTable

public JTable getTable()

### getValue

public Object getValue()

### isSelected

public boolean isSelected()

### isFocused

public boolean isFocused()

### getRow

public int getRow()

### getColumn

public int getColumn()

### getTree

public JTree getTree()

### isLeaf

public boolean isLeaf()

### isExpanded

public boolean isExpanded()

### isDefaultRenderer

public boolean isDefaultRenderer()